@use '@experiments-labs/rise_ui/src/stylesheets/core';

@mixin vertical() {
  display: flex;
  flex-direction: column;
  grid-template-columns: repeat(1, 1fr);

  label {
    display: block;
    text-align: left;
  }
}

.gp-month-flags-input {
  @include vertical();

  @include core.respond-to('small-up') {
    display: grid;
    grid-column-gap: var(--spacer-default);
    grid-row-gap: var(--spacer-small);
    grid-template-columns: repeat(12, 1fr);

    label {
      display: inline;
      text-align: center;
    }
  }

  &--vertical {
    @include vertical();
  }
}
